%global rhmap_ansible_name       rhmap-ansible-4.6.5.CR5
%global digger_installer45       digger-installer-release-4.5.0-rc4
%global digger_installer46       aerogear-digger-installer-release-4.6.2-rc1

# git archive --format tar --prefix 'rhmap-ansible-4.4.3/' --remote gryan@pkgs.devel.redhat.com:containers/rhmap-installer rhmap-4.4-rhel-7 | gzip -9 > rhmap-ansible-4.4.3.tar.gz
%global rhmap_ansible_44         rhmap-ansible-4.4.3

# git archive --format tar --prefix 'rhmap-ansible-4.5.6/' --remote gryan@pkgs.devel.redhat.com:containers/rhmap-installer rhmap-4.5-rhel-7 | gzip -9 > rhmap-ansible-4.5.6.tar.gz
%global rhmap_ansible_45         rhmap-ansible-4.5.6

Name:                      rhmap-fh-openshift-templates
Version:                   4.6.5
Release:                   5%{?dist}
Summary:                   Set of OpenShift templates that can be used to setup the Core and the MBaaS of the Red Hat Mobile Application Platform On-Premise product
License:                   ASL 2.0
URL:                       https://github.com/feedhenry/fh-openshift-templates
BuildArch:                 noarch

Source0:                   %{rhmap_ansible_name}.tar.gz
Source1:                   %{digger_installer45}.tar.gz
Source2:                   %{digger_installer46}.tar.gz
Source3:                   %{rhmap_ansible_44}.tar.gz
Source4:                   %{rhmap_ansible_45}.tar.gz

Source5:                   4.3-core-fh-core-backend.json
Source6:                   4.3-core-fh-core-frontend.json
Source7:                   4.3-core-fh-core-infra.json
Source8:                   4.3-core-fh-core-monitoring.json
Source9:                   4.3-core-fh-nginx-proxy-template.json
Source10:                   4.3-core-scc-anyuid-with-chroot.json
Source11:                   4.3-mbaas-fh-mbaas-template-1node.json
Source12:                  4.3-mbaas-fh-mbaas-template-3node.json
         
Source13:                  4.4-core-fh-core-backend.json
Source14:                  4.4-core-fh-core-frontend.json
Source15:                  4.4-core-fh-core-infra.json
Source16:                  4.4-core-fh-core-monitoring.json
Source17:                  4.4-core-fh-nginx-proxy-template.json
Source18:                  4.4-core-gitlab-migrate.json
Source19:                  4.4-mbaas-fh-mbaas-template-1node.json
Source20:                  4.4-mbaas-fh-mbaas-template-1node-non-persistent.json
Source21:                  4.4-mbaas-fh-mbaas-template-3node.json

Source22:                  4.5-core-fh-core-backend.json
Source23:                  4.5-core-fh-core-frontend.json
Source24:                  4.5-core-fh-core-infra.json
Source25:                  4.5-core-fh-core-monitoring.json
Source26:                  4.5-core-fh-nginx-proxy-template.json
Source27:                  4.5-core-gitlab-migrate.json
Source28:                  4.5-mbaas-fh-mbaas-components.json
Source29:                  4.5-mbaas-mongo-replica.json
Source30:                  4.5-mbaas-mongo-standalone-ephemeral.json
Source31:                  4.5-mbaas-mongo-standalone.json
Source32:                  4.5-mbaas-rhmap-mbaas-config.json

Source33:                  4.6-core-fh-core-backend.json
Source34:                  4.6-core-fh-core-frontend.json
Source35:                  4.6-core-fh-core-infra.json
Source36:                  4.6-core-fh-core-mongo-config.json
Source37:                  4.6-core-fh-core-mongo-replica.json
Source38:                  4.6-core-fh-core-mongo.json
Source39:                  4.6-core-fh-core-monitoring.json
Source40:                  4.6-core-fh-core-mysql-config.json
Source41:                  4.6-core-fh-core-mysql-master-slave.json
Source42:                  4.6-core-fh-core-mysql.json
Source43:                  4.6-core-fh-nginx-proxy-template.json
Source44:                  4.6-mbaas-fh-mbaas-components.json
Source45:                  4.6-mbaas-mongo-replica-affinity.json
Source46:                  4.6-mbaas-mongo-replica.json
Source47:                  4.6-mbaas-mongo-standalone-ephemeral.json
Source48:                  4.6-mbaas-mongo-standalone.json
Source49:                  4.6-mbaas-rhmap-mbaas-config.json

%description
%{summary}.

%prep
%setup -q -D -b 0 -n %{rhmap_ansible_name}
%setup -q -D -b 1 -n %{digger_installer45}
%setup -q -D -b 2 -n %{digger_installer46}
%setup -q -D -b 3 -n %{rhmap_ansible_44}
%setup -q -D -b 4 -n %{rhmap_ansible_45}

pushd %{_topdir}/SOURCES/
    mkdir -p %{_builddir}/4.{3..6}/templates/{core,mbaas}

    for tpl in $(ls 4.3-core-*.json); do
        cp ${tpl} %{_builddir}/4.3/templates/core/$(echo ${tpl} | sed -e 's/4.3-core-//')
    done

    for tpl in $(ls 4.3-mbaas-*.json); do
        cp ${tpl} %{_builddir}/4.3/templates/mbaas/$(echo ${tpl} | sed -e 's/4.3-mbaas-//')
    done

    for tpl in $(ls 4.4-core-*.json); do
        cp ${tpl} %{_builddir}/4.4/templates/core/$(echo ${tpl} | sed -e 's/4.4-core-//')
    done

    for tpl in $(ls 4.4-mbaas-*.json); do
        cp ${tpl} %{_builddir}/4.4/templates/mbaas/$(echo ${tpl} | sed -e 's/4.4-mbaas-//')
    done

    for tpl in $(ls 4.5-core-*.json); do
        cp ${tpl} %{_builddir}/4.5/templates/core/$(echo ${tpl} | sed -e 's/4.5-core-//')
    done

    for tpl in $(ls 4.5-mbaas-*.json); do
        cp ${tpl} %{_builddir}/4.5/templates/mbaas/$(echo ${tpl} | sed -e 's/4.5-mbaas-//')
    done

    for tpl in $(ls 4.6-core-*.json); do
        cp ${tpl} %{_builddir}/4.6/templates/core/$(echo ${tpl} | sed -e 's/4.6-core-//')
    done

    for tpl in $(ls 4.6-mbaas-*.json); do
        cp ${tpl} %{_builddir}/4.6/templates/mbaas/$(echo ${tpl} | sed -e 's/4.6-mbaas-//')
    done
popd

%build

%install

echo "+++ Creating folders for ose templates..."
rm -rf %{buildroot}

mkdir -p %{buildroot}/opt/rhmap/4.{3..6}/templates/{core,mbaas}
mkdir -p %{buildroot}/opt/rhmap/4.{4..6}/rhmap-installer

%{__install} -p -m 0644 -D %{_builddir}/4.3/templates/core/*.json -t %{buildroot}/opt/rhmap/4.3/templates/core/
%{__install} -p -m 0644 -D %{_builddir}/4.3/templates/mbaas/*.json -t %{buildroot}/opt/rhmap/4.3/templates/mbaas/

%{__install} -p -m 0644 -D %{_builddir}/4.4/templates/core/*.json -t %{buildroot}/opt/rhmap/4.4/templates/core/
%{__install} -p -m 0644 -D %{_builddir}/4.4/templates/mbaas/*.json -t %{buildroot}/opt/rhmap/4.4/templates/mbaas/

%{__install} -p -m 0644 -D %{_builddir}/4.5/templates/core/*.json -t %{buildroot}/opt/rhmap/4.5/templates/core/
%{__install} -p -m 0644 -D %{_builddir}/4.5/templates/mbaas/*.json -t %{buildroot}/opt/rhmap/4.5/templates/mbaas/

%{__install} -p -m 0644 -D %{_builddir}/4.6/templates/core/*.json -t %{buildroot}/opt/rhmap/4.6/templates/core/
%{__install} -p -m 0644 -D %{_builddir}/4.6/templates/mbaas/*.json -t %{buildroot}/opt/rhmap/4.6/templates/mbaas/

echo "+++ Copy ansible files..."
cp -a %{_builddir}/%{rhmap_ansible_44}/. %{buildroot}/opt/rhmap/4.4/rhmap-installer/
cp -a %{_builddir}/%{rhmap_ansible_45}/. %{buildroot}/opt/rhmap/4.5/rhmap-installer/
cp -a %{_builddir}/%{rhmap_ansible_name}/. %{buildroot}/opt/rhmap/4.6/rhmap-installer/
rm %{buildroot}/opt/rhmap/4.5/rhmap-installer/install-dependencies.sh
rm %{buildroot}/opt/rhmap/4.5/rhmap-installer/digger-requirements.yml
rm %{buildroot}/opt/rhmap/4.6/rhmap-installer/install-dependencies.sh
rm %{buildroot}/opt/rhmap/4.6/rhmap-installer/digger-requirements.yml

echo "+++ Copy digger installer"
rm -rf %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer
mkdir -p %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer

rm -rf %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer
mkdir -p %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer

echo "Running ansible-galaxy install copy"
cp -a %{_builddir}/%{digger_installer45}/. %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/
cp -a %{_builddir}/%{digger_installer46}/. %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer/

echo "Removing extra folders/files"
pushd %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/
      rm -rf login vars .gitignore .travis.yml android-sdk/.travis.yml cluster-up-example sample-build-playbook.yml LICENSE
popd

rm -rf %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer/login
rm -rf %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer/vars
rm %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer/cluster-up-example
rm %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer/sample-build-playbook.yml
rm %{buildroot}/opt/rhmap/4.6/rhmap-installer/roles/aerogear-digger-installer/LICENSE

rm -f %{buildroot}/opt/rhmap/4.{4..6}/rhmap-installer/{.gitignore,Dockerfile,Jenkinsfile,sources,README.md}

echo "Done"

%files
/opt/rhmap/4.3/templates/mbaas/
/opt/rhmap/4.3/templates/core/
/opt/rhmap/4.4/templates/mbaas/
/opt/rhmap/4.4/templates/core/
/opt/rhmap/4.4/rhmap-installer/*
/opt/rhmap/4.5/templates/mbaas/
/opt/rhmap/4.5/templates/core/
/opt/rhmap/4.5/rhmap-installer/*
/opt/rhmap/4.6/templates/mbaas/
/opt/rhmap/4.6/templates/core/
/opt/rhmap/4.6/rhmap-installer/*

%changelog
* Wed Aug 08 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.5-5
- Rebuild for 4.6.5.CR5, from update-templates-rpm pipeline
* Fri Aug 03 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.5-4
- Rebuild for 4.6.5.CR4, from update-templates-rpm pipeline
* Fri Aug 03 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.5-3
- Rebuild for 4.6.5.CR4, from update-templates-rpm pipeline
* Thu Aug 02 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.5-2
- Rebuild for 4.6.5.CR3, from update-templates-rpm pipeline
* Wed Jul 18 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.5-1
- Auto CVE respin for 4.6.5.CR2 based on freshmaker builds
* Wed Jul 11 2018 Gerard Ryan <gryan@redhat.com> - 4.6.4-7
- RHMAP-20949: Remove README.md from installer dirs
* Tue Jul 10 2018 Gerard Ryan <gryan@redhat.com> - 4.6.4-6
- Manually fix some templates for 4.6.4.CR6
* Wed Jul 04 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.4-5
- Auto CVE respin for 4.6.4.CR5
* Wed Jul 04 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.4-4
- Auto CVE respin for 4.6.4.CR4
* Wed Jun 27 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.4-3
- Auto CVE respin for 4.6.4.CR3 based on freshmaker builds
* Wed Jun 27 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.4-2
- Auto CVE respin for 4.6.4.CR2 based on freshmaker builds
* Wed Jun 27 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.4-1
- Auto CVE respin for 4.6.4.CR1 based on freshmaker builds
* Wed Jun 20 2018 Gerard Ryan <gryan@redhat.com> - 4.6.3-6
- Manually fix some templates for 4.6.3.CR2 and 4.6.3.CR3
* Wed Jun 13 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.3-1
- Auto CVE respin for 4.6.3.CR1
* Wed Jun 06 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.100-8
- Auto CVE respin for 4.6.100.CR8
* Wed Jun 06 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.100-7
- Rebuild for 4.6.100.CR6, from update-templates-rpm pipeline
* Wed Jun 06 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.100-6
- Rebuild for 4.6.100.CR5, from update-templates-rpm pipeline
* Tue Jun 05 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.100-5
- Auto CVE respin for 4.6.100.CR4
* Tue Jun 05 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.100-4
- Auto CVE respin for 4.6.100.CR3
* Tue Jun 05 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.100-3
- Auto CVE respin for 4.6.100.CR2
* Fri Jun 01 2018 Gerard Ryan <gryan@redhat.com> - 4.6.100-2
- Add missing installer sources for 4.4 and 4.5
* Fri Jun 01 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.100-1
- Auto CVE respin for 4.6.100.CR1
* Thu May 24 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.2-11
- Template changes for 4.6.2.CR2
* Thu May 24 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-10
- Auto CVE respin for 4.6.2.CR2
* Thu May 17 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.2-1
- Template changes for 4.6.2.CR1
* Mon May 14 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-8
- Auto CVE respin for 4.6.2.CR1
* Fri May 11 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-7
- Auto CVE respin for 4.6.2.CR1
* Thu May 10 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-6
- Auto CVE respin for 4.6.2.CR1
* Thu May 10 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-5
- Auto CVE respin for 4.6.2.CR1
* Thu May 10 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-4
- Auto CVE respin for 4.6.2.CR1
* Thu May 10 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-3
- Auto CVE respin for 4.6.2.CR1
* Thu May 10 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-2
- Auto CVE respin for 4.6.2
* Wed May 09 2018 Mobile Jenkins <gryan@redhat.com> - 4.6.2-1
- Auto CVE respin for 4.6.2
* Thu May 03 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.1-2
- Template changes for 4.6.1.CR2
* Thu May 03 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.1-1
- Template changes for 4.6.1.CR1
* Thu Apr 26 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.0-5
- Template changes for 4.6.0.CR5
* Tue Apr 24 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.0-4
- Template changes for 4.6.0.CR4
* Wed Apr 18 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.0-3
- Template changes for 4.6.0.CR3
* Wed Apr 11 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.6.0-2
- Template changes for 4.6.0.CR2
* Tue Mar 27 2018 Gerard Ryan <gryan@redhat.com> - 4.6.0-1
- Initial changes for 4.6.0.CR1
* Tue Mar 27 2018 Gerard Ryan <gryan@redhat.com> - 4.5.6-2
- Fix installer source tarball for 4.5.6.CR2
* Fri Mar 23 2018 Gerard Ryan <gryan@redhat.com> - 4.5.6-1
- Update templates for 4.5.6.CR1
* Mon Mar 12 2018 Gerard Ryan <gryan@redhat.com> - 4.5.5-2
- Fix 4.4 MBaaS templates
* Mon Mar 12 2018 Gerard Ryan <gryan@redhat.com> - 4.5.5-1
- Update templates for 4.5.5-CR1
* Fri Feb 16 2018 Jozef Mrazek <jmrazek@redhat.com> - 4.5.4-1
- Update templates for 4.5.4-CR1
* Thu Jan 04 2018 Gerard Ryan <gryan@redhat.com> - 4.5.3-5
- Update templates for 4.5.3-CR3
* Thu Jan 04 2018 Gerard Ryan <gryan@redhat.com> - 4.5.3-4
- Update templates for 4.5.3-CR2 (platform version update)
* Tue Dec 19 2017 Gerard Ryan <gryan@redhat.com> - 4.5.3-2
- Update templates for 4.5.3-CR1
* Thu Nov 23 2017 Peter Braun <pbraun@redhat.com> - 4.5.2-1
- Update templates for 4.5.2-CR1
* Tue Oct 31 2017 Peter Braun <pbraun@redhat.com> - 4.5.1-4
- Test build
* Tue Oct 31 2017 Gerard Ryan <gryan@redhat.com> - 4.5.1-4
- Add 4.3 location needed for upgrade playbook
* Thu Oct 26 2017 David Kirwan <dkirwan@redhat.com> - 4.5.1-3
- Test build
* Tue Oct 24 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.1-2
- Update templates for 4.5.1.CR2
* Wed Oct 18 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.1-1
- Update templates for 4.5.1.CR1
* Thu Sep 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-11
- Update templates for 4.5.0.CR8
* Wed Sep 13 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-10
- Update templates for 4.5.0.CR7
* Tue Sep 12 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-9
- Update templates for 4.5.0.CR6
* Mon Sep 11 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-8
- Update templates for 4.5.0.CR5
* Mon Sep 11 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-7
- Remove backup file from source archive for 4.5.0.CR4
* Mon Sep 11 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-6
- Update templates for 4.5.0.CR4
* Tue Aug 29 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-5
- Update templates for 4.5.0.CR3
* Tue Aug 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-4
- Update templates for 4.5.0.CR2
* Tue Aug 15 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-3
- Update fixed templates for 4.5.0.CR1
* Tue Aug 15 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-2
- Update files for 4.5.0.CR1
* Mon Aug 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-1
- First version of rhmap 4.5 rpm
* Wed Jul 26 2017 Andrea Vibelli <avibelli@redhat.com> - 4.4.3-2
- Fixed the 4.4.yaml metadata
* Tue Jul 25 2017 Andrea Vibelli <avibelli@redhat.com> - 4.4.3-1
- Update templates and source files for 4.4.3.CR1
* Fri Jul 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.2-1
- Update templates and source files for 4.4.2.CR1
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.1-2
- Update ansible files for 4.4.1.CR2
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.1-1
- Update rpm version, add versioning for gitlab-migrate archive 4.4.1.CR1
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-10
- Update templates and ansible files for 4.4.1.CR1
* Wed Jun 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-9
- Update ansible files for 4.4.0.CR5 (Remove gedit backup files)
* Wed Jun 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-8
- Update ansible files for 4.4.0.CR5
* Mon Jun 12 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-7
- Update templates and ansible files for 4.4.0.CR4
* Thu Jun 08 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-6
- Update templates and ansible files for 4.4.0.CR3
* Mon Jun 05 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-5
- Update templates and ansible files for 4.4.0.CR2
* Tue May 23 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-4
- Fix corrupted version in rhmap ansible archive
* Tue May 23 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-3
- Add gitlab migrate json file
* Mon May 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-2
- Update ansible yml files with latest images
* Mon May 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-1
- Update structure and files for RHMAP 4.4.0.CR1
* Tue Apr 18 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-1
- Align rpm version to release version
* Tue Mar 21 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-10
- Fix for Wildcard Proxy template and SCM Docker images unsigned content for RHMAP 4.3.0.CR7 release
* Fri Mar 17 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-9
- Update templates for RHMAP 4.3.0.CR7 release
* Tue Mar 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-8
- Update templates for RHMAP 4.3.0.CR6 release
* Wed Mar 08 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-7
- Update templates for RHMAP 4.3.0.CR5 release
* Thu Mar 02 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-6
- Update templates for RHMAP 4.3.0.CR4 release
* Mon Feb 20 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-5
- Update templates for RHMAP 4.3.0.CR3 release
* Tue Feb 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-4
- Update templates for RHMAP 4.3.0.CR2 release
* Mon Feb 13 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-3
- Update templates for RHMAP 4.3.0.CR1 patch release
* Wed Feb 8 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-2
- Update templates for RHMAP 4.3.0.CR1 release
* Tue Jan 31 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-1
- Include the MBaaS 1 Node persistent template
- Include the new OpenShift Wildcard Proxy template
* Fri Jan 6 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-5
- Update core templates for RHMAP 4.2.1.CR4 release
* Tue Dec 13 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-4
- Update templates for RHMAP 4.2.1 release
* Tue Dec 6 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-3
- Update templates with patched Productised version
* Thu Dec 1 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-2
- Manage of different source tarballs for MBaaS and Core templates
* Mon Nov 28 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-1
- Update templates with patched Productised version after core and mbaas templates split
* Tue Oct 11 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-2
- Updated templates with patched Productised version
* Wed Oct 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-1
- Updated templates with latest Productised version
* Wed Sep 28 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.153-1
- Updated templates with latest Productised version
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.134-1
- Updated templates with latest Productised version
* Wed Sep 14 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.1-2
- Updated templates with latest upstream version; modified version naming
* Tue Sep 6 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.1-1
- Moved scc-anyuid-with-chroot.json file in core folder
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-1
- Rename of the package into rhmap-fh-openshift-templates
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.0.1-1
- First package build of RHMAP OSE templates